<template>
  <div :class="[styles.grid, {[classes]: classes}]">
    <slot/>
  </div>
</template>

<script>
import { defineComponent } from 'vue'
import styles from './style.module.scss'

export default defineComponent({
  name: 'GridLayout',
  props: {
    classes: {
      type: Array,
      required: false
    }
  },
  data () {
    return {
      styles
    }
  }
})
</script>
